body {
  font-family: "Times New Roman", Times, serif;
}

@media screen and (min-width: 1000px) {
  .logo {
    z-index: 1;
    position: relative;
    top: 25px;
    left: 3%;
    width: 16vw;
    margin-left: 30px;
  }
}
.accountButtons {
  background-color: #010c27;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 50px;
  outline: none;
}

hr {
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  margin-left: auto;
  margin-right: auto;
  border-width: 1px;
  width: 90%;
}

.header {
  width: 98vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
}

.footer {
  text-align: center;
}

.fa {
  padding: 20px;
  font-size: 50px;
  width: 50px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  background: white;
  color: black;
}

.search-box {
  padding: 10px;
  padding-left: 15px;
  padding-right: 15px;
}

.search-box:hover .txt {
  width: 140px;
  height: 40px;
  transition: all 0.5s;
  padding-left: 10px;
  padding-right: 10px;
  border-bottom: 1px solid lightgray;
}

.search-box .btn {
  transform: translate(0, -50%);
}

.search-box:hover .btn {
  display: none;
}

.txt {
  border: none;
  background: none;
  outline: none;
  padding: 0;
  color: #07051a;
  font-size: 20px;
  transition: 0.4s;
  width: 0px;
}

.btn {
  width: 20px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.4s;
  cursor: pointer;
}

.btn > i {
  font-size: 20px;
  background: none;
  padding: 0 !important;
  margin: 0 !important;
}

#cart {
  width: 40px;
  height: 40px;
  font-size: 18px;
  padding: 0;
  border: none;
  background: none;
}

#login {
  width: 40px;
  height: 40px;
  font-size: 18px;
  padding: 10px;
  background: none;
  border-color: black;
  cursor: pointer;
  border-radius: 50px;
}
#shop-btn {
  width: 40px;
  height: 40px;
  font-size: 18px;
  padding: 10px;
  background: none;
  border-color: black;
  cursor: pointer;
  border-radius: 50px;
}
#profile {
  width: 40px;
  height: 40px;
  font-size: 18px;
  padding: 10px;
  background: none;
  border-color: black;
  cursor: pointer;
  border-radius: 50px;
  display: none;
}
#disconnect {
  width: 40px;
  height: 40px;
  font-size: 18px;
  padding: 10px;
  background: none;
  border-color: black;
  cursor: pointer;
  border-radius: 50px;
  display: none;
}

#heart {
  width: 40px;
  height: 40px;
  font-size: 23px;
  padding: 0;
  border: none;
  background: none;
}

.topnav {
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  background-color: transparent;
  overflow: hidden;
}

.topnav a {
  color: black;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 1.22vw;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  outline-offset: -5px;
  outline-style: solid;
  color: black;
}

.topnav a.icon {
  color: black;
  display: none;
  left: 0%;
  top: 5%;
  font-size: 1em;
  background: none;
}

#carousel {
  max-height: 750px;
  overflow: hidden;
  margin-left: 20%;
  margin-right: 20%;
}

.item img {
  width: 100%;
  height: auto;
}

.carousel-caption {
  top: inherit;
  font-size: 140%;
  font-weight: 550;
  transition: opacity 0.15s ease-in-out;
  -moz-transition: opacity 0.15s ease-in-out;
  -webkit-transition: opacity 0.15s ease-in-out;
}

.carousel-indicators {
  z-index: 1;
}

.item.next .carousel-caption {
  opacity: 0;
}

.modal {
  display: none;
  position: fixed;
  z-index: 2;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 25%;
  height: 55%;
}

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.form-container input[type="text"],
.form-container input[type="password"] {
  width: 100%;
  padding: 15px;
  margin: 7px 0 22px 0;
  border: none;
  background: #f1f1f1;
  border-radius: 50px;
}

.form-container input[type="text"]:focus,
.form-container input[type="password"]:focus {
  background-color: #ddd;
  outline: none;
}

.form-container .btn {
  background-color: #010716;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  width: 20%;
  margin-bottom: 50px;
  opacity: 0.8;
  border-radius: 30px;
  float: right;
}

.form-container .btn:hover {
  opacity: 1;
}

#modal-content2 {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 30%;
  height: 80%;
}

#form-container2 input[type="text"],
#form-container2 input[type="password"],
#form-container2 input[type="email"],
#form-container2 input[type="tel"] {
  width: 37%;
  padding: 15px;
  margin: 7px 0 22px 0;
  border: none;
  background: #f1f1f1;
  border-radius: 50px;
  align-items: center;
}

#form-container2 .btn {
  background-color: #010716;
  color: white;
  padding: 16px 20px;
  border: none;
  cursor: pointer;
  width: 19%;
  margin-bottom: 50px;
  margin-right: 50px;
  opacity: 0.8;
  border-radius: 30px;
}

#form-container2 .btn:hover {
  opacity: 1;
}

.password-field:after {
  content: "";
  display: block;
  height: 3px;
  width: 0;
  margin-top: 3px;
}

.password-field.level0:after {
  width: 25%;
  background: red;
}

.password-field.level1:after {
  width: 50%;
  background: orange;
}

.password-field.level2:after {
  width: 75%;
  background: gold;
}

.password-field.level3:after {
  width: 100%;
  background: green;
}

@media only screen and (max-width: 1000px) {
  .logo {
    width: 140px;
  }
  #login {
    left: 80%;
  }
  #shop-btn {
    margin-left: auto;
    margin-right: auto;
  }
  #profile {
    left: 80%;
  }
  #heart {
    left: 85.5%;
  }
  #cart {
    left: 78.7%;
  }
  .modal-content {
    width: 80%;
    height: 55%;
  }
  #modal-content2 {
    width: 85%;
    height: 90%;
  }

  #carousel {
    margin-left: 0;
    margin-right: 0;
  }
  .topnav a {
    display: none;
  }
  .topnav a.icon {
    position: absolute;
    display: block;
  }
}

.overlay {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 2;
  left: 0;
  top: 0;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
  overflow-x: hidden;
  transition: 0.5s;
}

.overlay-content {
  position: relative;
  top: 25%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.overlay a:hover,
.overlay a:focus {
  color: #f1f1f1;
}

.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.column-66 {
  float: left;
  width: 40%;
  padding: 20px;
}

.column-33 {
  float: left;
  width: 60%;
  padding-top: 20px;
  padding-left: 120px;
}

.medium-font {
  font-size: 35px;
}

.large-font {
  font-size: 48px;
}

.xlarge-font {
  font-size: 64px;
}

img {
  display: block;
  height: auto;
  max-width: 100%;
}
@media screen and (max-width: 1300px) and (min-width: 700px) {
  .modal-content {
    width: 40%;
    height: 55%;
  }
}
@media screen and (min-width: 1000px) {
  #modal-content2 {
    width: 39%;
    height: 85%;
  }
}

@media screen and (max-width: 1200px) {
  .column-66,
  .column-33 {
    width: 100%;
    text-align: center;
    padding-left: 0;
  }
  img {
    margin: auto;
  }
  iframe {
    width: 90%;
    height: 90%;
  }
  .text-xs-center {
    text-align: center;
  }
  .g-recaptcha {
    display: inline-block;
  }
  ul {
    display: table;
    margin: 0 auto;
  }
  #prod {
    margin-top: 80px;
  }

  #sbmt {
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
  #video {
    margin-left: 10px;
  }
}

@media screen and (min-width: 1200px) {
  #contact {
    width: 60% !important;
  }
}

.phone-class {
  position: relative;
  display: inline-block;
}

.phone-class::before {
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: " \f095";
  position: absolute;
  left: 100%;
  margin-left: 12px;
}

@media screen and (max-width: 640px) {
  .grid-container {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 30px;
    grid-row-gap: 130px;
    background-color: transparent;
    padding: 5px;
    grid-auto-rows: 1fr 1fr 18px 13px;
    height: 650px !important;
  }
  .categoryText {
    position: relative;
    top: -2900%;
  }
  .categoryTitle {
    position: relative;
    font-size: 30px;
  }
  .categoryDescription {
    position: relative;
    font-size: 20px;
  }
  .productButton {
    width: 130px;
    height: 130px;
  }
  #catalog {
    margin-bottom: 40px;
    margin-left: 24px;
    width: 110px;
    height: 110px;
  }
  #hob {
    margin-left: 20px;
  }
  #adv {
    margin-left: 20px;
  }
  #prof {
    margin-left: 20px;
    margin-top: 25px;
  }
  .productButton {
    align-self: center;
  }
}
.grid-container {
  height: 480px;
}
@media screen and (min-width: 640px) {
  .grid-container {
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-gap: 30px;
    background-color: transparent;
    padding: 10px;
    grid-auto-rows: 1fr;
    height: 480px;
  }
  .categoryText {
    position: relative;
    top: -30%;
  }
  .categoryTitle {
    font-size: 35px;
  }
  .categoryDescription {
    font-size: 20px;
  }
}

.grid-container > div {
  max-height: 50;
  background-color: transparent;
  text-align: center;
  font-size: 30px;
}

.productLink {
  color: #000;
}

.productLink:hover {
  color: black;
}

.productButton {
  align-self: center;
}

.buttonAB {
  background-color: #010c27;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 50px;
  outline: none;
}

#about {
  margin-bottom: 50px;
}
